import request from '@/utils/request'

// 查询使用申请列表
export function listApply(query) {
  return request({
    url: '/tool/apply/list',
    method: 'get',
    params: query
  })
}

// 查询使用申请详细
export function getApply(id) {
  return request({
    url: '/tool/apply/' + id,
    method: 'get'
  })
}

export function getInfoByBpmcId(bpmcId) {
  return request({
    url: '/tool/apply/bpmc/' + bpmcId,
    method: 'get'
  })
}

// 新增使用申请
export function addApply(data) {
  return request({
    url: '/tool/apply',
    method: 'post',
    data: data
  })
}

// 修改使用申请
export function updateApply(data) {
  return request({
    url: '/tool/apply/edit',
    method: 'post',
    data: data
  })
}

// 删除使用申请
export function delApply(id) {
  return request({
    url: '/tool/apply/' + id,
    method: 'delete'
  })
}
